<?xml version="1.0" encoding="utf-8" ?>
<select>
  <selectstr>
	SELECT extraid,
		typename,
		inputtype
	FROM u_mattress_extra_type
  </selectstr>
  <where>
	  <when notnull="@arg_typeid">
		  typeid = @arg_typeid
	  </when>
  </where>
  <displayfields>
  </displayfields>
</select>
